## enigmail 0.86.1

=== lang/Makefile ===
#!gmake
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "MPL"); you may not use this file
# except in compliance with the MPL. You may obtain a copy of
# the MPL at http://www.mozilla.org/MPL/
# 
# Software distributed under the MPL is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the MPL for the specific language governing
# rights and limitations under the MPL.
# 
# The Original Code is Enigmail.
# 
# The Initial Developer of the Original Code is Ramalingam Saravanan.
# Portions created by Ramalingam Saravanan <svn@xmlterm.org> are
# Copyright (C) 2001 Ramalingam Saravanan. All Rights Reserved.
# 
# Contributor(s):
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License (the "GPL"), in which case
# the provisions of the GPL are applicable instead of
# those above. If you wish to allow use of your version of this
# file only under the terms of the GPL and not to allow
# others to use your version of this file under the MPL, indicate
# your decision by deleting the provisions above and replace them
# with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.
#

# Makefile for lang directory

# Specify these as parameters to the make command
XPI_MODULE	= enigmail
XPI_VERS        = 0.80.0

DEPTH		= ../../..
topsrcdir	= ../../..
srcdir		= .
VPATH		= .

include $(DEPTH)/config/autoconf.mk

include $(topsrcdir)/config/rules.mk

xpi-de-DE::
	./make-lang-xpi.pl de-DE $(XPI_VERS) $(DIST)/bin

xpi-de-AT::
	./make-lang-xpi.pl de-AT $(XPI_VERS) $(DIST)/bin

xpi-fr-FR::
	./make-lang-xpi.pl fr-FR $(XPI_VERS) $(DIST)/bin

xpi-es-AR::
	./make-lang-xpi.pl es-AR $(XPI_VERS) $(DIST)/bin

xpi-es-ES::
	./make-lang-xpi.pl es-ES $(XPI_VERS) $(DIST)/bin

xpi-it-IT::
	./make-lang-xpi.pl it-IT $(XPI_VERS) $(DIST)/bin

xpi-pl-PL::
	./make-lang-xpi.pl pl-PL $(XPI_VERS) $(DIST)/bin

xpi-xx-XX::
	./make-lang-xpi.pl xx-XX $(XPI_VERS) $(DIST)/bin

xpi-zh-CN::
	./make-lang-xpi.pl zh-CN $(XPI_VERS) $(DIST)/bin

xpi-zh-TW::
	./make-lang-xpi.pl zh-TW $(XPI_VERS) $(DIST)/bin

xpi-zh-HK::
	./make-lang-xpi.pl zh-HK $(XPI_VERS) $(DIST)/bin

## enigmail 0.91

=== build/Makefile ===
#!gmake
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "MPL"); you may not use this file
# except in compliance with the MPL. You may obtain a copy of
# the MPL at http://www.mozilla.org/MPL/
# 
# Software distributed under the MPL is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the MPL for the specific language governing
# rights and limitations under the MPL.
# 
# The Original Code is protoZilla.
# 
# The Initial Developer of the Original Code is Ramalingam Saravanan.
# Portions created by Ramalingam Saravanan <svn@xmlterm.org> are
# Copyright (C) 2001 Ramalingam Saravanan. All Rights Reserved.
# 
# Contributor(s):
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License (the "GPL"), in which case
# the provisions of the GPL are applicable instead of
# those above. If you wish to allow use of your version of this
# file only under the terms of the GPL and not to allow
# others to use your version of this file under the MPL, indicate
# your decision by deleting the provisions above and replace them
# with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.
#

DEPTH		= ../../..
topsrcdir	= ../../..
srcdir		= .
VPATH		= .

include $(DEPTH)/config/autoconf.mk

XPI_MODULE	= ipc
XPI_MODULE_VERS = 1.1.2

MODULE		= ipc
LIBRARY_NAME	= ipc
EXPORT_LIBRARY  = 1
SHORT_LIBNAME	= ipc
IS_COMPONENT	= 1

ifdef USE_XPCOM_GLUE
# Ensure that the xpcom classes that we build
# do not export themselves
DEFINES		+= -D_IMPL_NS_COM_OFF -DXPCOM_GLUE
endif

REQUIRES	= xpcom \
		  string \
		  js \
		  caps \
		  uconv \
		  necko \
		  mimetype \
		  xpconnect \
		  $(NULL)

MODULE_NAME	= IPCModule

CPPSRCS		= nsIPCModule.cpp

SHARED_LIBRARY_LIBS = \
		$(DIST)/lib/$(LIB_PREFIX)ipc_s.$(LIB_SUFFIX) \
		$(NULL)

LOCAL_INCLUDES	= \
		-I$(srcdir)/../src \
		$(NULL)

ifdef USE_XPCOM_GLUE
EXTRA_DSO_LDOPTS = \
		$(DIST)/lib/$(LIB_PREFIX)xpcomglue.$(LIB_SUFFIX) \
		$(DIST)/lib/$(LIB_PREFIX)string_s.$(LIB_SUFFIX) \
		$(DIST)/lib/$(LIB_PREFIX)string_obsolete_s.$(LIB_SUFFIX) \
		$(XPCOM_LIBS) \
		$(NSPR_LIBS) \
		$(NULL)
else
EXTRA_DSO_LDOPTS = \
		$(DIST)/lib/$(LIB_PREFIX)string_s.$(LIB_SUFFIX) \
		$(DIST)/lib/$(LIB_PREFIX)string_obsolete_s.$(LIB_SUFFIX) \
		$(XPCOM_LIBS) \
		$(NSPR_LIBS) \
		$(NULL)
endif

include $(topsrcdir)/config/rules.mk

PLATFORM_STR = unknown

# Edit the lines below as needed, depending upon your platform(s)
ifeq ($(OS_ARCH),Linux)
PLATFORM_STR = linux
endif

ifeq ($(OS_ARCH),WIN95)
PLATFORM_STR = win32
endif

ifeq ($(OS_ARCH),WINNT)
PLATFORM_STR = win32
endif

ifeq ($(OS_CONFIG),SunOS5)
PLATFORM_STR = sunos5
endif

ifeq ($(OS_ARCH),FreeBSD)
PLATFORM_STR = freebsd
endif

XPIFILE = $(XPI_MODULE)-$(XPI_MODULE_VERS)-$(PLATFORM_STR).xpi

xpi::
	zip -r $(DIST)/bin/$(XPIFILE) install.js ipc.spec
	cd $(DIST)/bin; zip -g $(XPIFILE) \
               components/$(XPI_MODULE).xpt \
               components/$(LIB_PREFIX)$(XPI_MODULE)$(DLL_SUFFIX)
	echo Created $(DIST)/bin/$(XPIFILE)

=== tests/Makefile ===
#
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "MPL"); you may not use this file
# except in compliance with the MPL. You may obtain a copy of
# the MPL at http://www.mozilla.org/MPL/
# 
# Software distributed under the MPL is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the MPL for the specific language governing
# rights and limitations under the MPL.
# 
# The Original Code is protoZilla.
# 
# The Initial Developer of the Original Code is Ramalingam Saravanan.
# Portions created by Ramalingam Saravanan <svn@xmlterm.org> are
# Copyright (C) 2001 Ramalingam Saravanan. All Rights Reserved.
# 
# Contributor(s):
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License (the "GPL"), in which case
# the provisions of the GPL are applicable instead of
# those above. If you wish to allow use of your version of this
# file only under the terms of the GPL and not to allow
# others to use your version of this file under the MPL, indicate
# your decision by deleting the provisions above and replace them
# with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.
#

DEPTH		= ../../..
topsrcdir	= ../../..
srcdir		= .
VPATH		= .

REQUIRES	= xpcom \
		  string \
		  js \
		  caps \
		  uconv \
		  necko \
		  mimetype \
		  xpconnect \
		  ipc \
		  $(NULL)

include $(DEPTH)/config/autoconf.mk

TESTCPPSRCS = pipetest.cpp
SIMPLE_PROGRAMS	= $(TESTCPPSRCS:.cpp=$(BIN_SUFFIX))

include $(topsrcdir)/config/config.mk

LIBS		+=            \
		$(XPCOM_LIBS) \
		$(NSPR_LIBS)  \
		$(NULL)

# Needed to resolve __yylex (?)
ifeq ($(OS_ARCH)$(OS_RELEASE),FreeBSD2)
LIBS		+= -lpcap
endif

include $(topsrcdir)/config/rules.mk

libs::
	$(INSTALL) $(srcdir)/ipc.js $(DIST)/bin
	$(INSTALL) $(srcdir)/ipctest.js $(DIST)/bin
	$(INSTALL) $(srcdir)/buftest.js $(DIST)/bin

## enigmail 0.94.2

=== build/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 include $(DEPTH)/config/autoconf.mk
 
 XPI_MODULE	= ipc
-XPI_MODULE_VERS = 1.1.2
+XPI_MODULE_VERS = 1.1.3
 
 MODULE		= ipc
 LIBRARY_NAME	= ipc

## enigmail 1.2.1

=== build/unix/elfhack/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is elfhack
#
# The Initial Developer of the Original Code is
# Mozilla Foundation
# Portions created by the Initial Developer are Copyright (C) 2010
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Mike Hommey <mh@glandium.org>
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../..
topsrcdir	= /home/chr1s/src/enigmail/enigmail-1.2~a2~cvs20110606t2200
srcdir		= /home/chr1s/src/enigmail/enigmail-1.2~a2~cvs20110606t2200/build/unix/elfhack
VPATH		= /home/chr1s/src/enigmail/enigmail-1.2~a2~cvs20110606t2200/build/unix/elfhack

include $(DEPTH)/config/autoconf.mk

INTERNAL_TOOLS = 1

HOST_PROGRAM = elfhack
NO_DIST_INSTALL = 1

HOST_CPPSRCS = \
  elf.cpp \
  elfhack.cpp \
  $(NULL)

OS_CXXFLAGS := $(filter-out -fno-exceptions,$(OS_CXXFLAGS)) -fexceptions

ifneq (,$(filter %86,$(TARGET_CPU)))
CPU := x86
else
ifneq (,$(filter arm%,$(TARGET_CPU)))
CPU := arm
else
CPU := $(TARGET_CPU)
endif
endif

CSRCS := \
  inject/$(CPU).c \
  inject/$(CPU)-noinit.c \
  $(NULL)

libs:: $(CSRCS:.c=.$(OBJ_SUFFIX))

ifndef CROSS_COMPILE
test$(DLL_SUFFIX): test.$(OBJ_SUFFIX) elfhack $(CSRCS:.c=.$(OBJ_SUFFIX))
	$(MKSHLIB) $<
	@echo ===
	@echo === If you get failures below, please file a bug describing the error
	@echo === and your environment \(compiler and linker versions\), and use
	@echo === --disable-elf-hack until this is fixed.
	@echo ===
	@rm -f $@.bak
	$(CURDIR)/elfhack -b $@
	# Fail if the backup file doesn't exist
	[ -f "$@.bak" ]
	# Fail if the new library doesn't contain less relocations
	[ $$(objdump -R $@.bak | wc -l) -gt $$(objdump -R $@ | wc -l) ]

dummy: dummy.$(OBJ_SUFFIX) test$(DLL_SUFFIX)
	$(CC) $(LDFLAGS) -o $@ $^

libs:: dummy
	# Will either crash or return exit code 1 if elfhack is broken
	LD_LIBRARY_PATH=$(CURDIR) $(CURDIR)/dummy

CSRCS += test.c dummy.c

GARBAGE += dummy test$(DLL_SUFFIX) test$(DLL_SUFFIX).bak
endif

inject:
	$(NSINSTALL) -D $@

inject/%.c: inject.c | inject
	cp $< $@

GARBAGE_DIRS += inject

# need this to suppress errors due to /usr/include/linux/byteorder/swab.h
# on mozilla buildbots
OS_CXXFLAGS := $(filter-out -pedantic,$(OS_CXXFLAGS))

include $(topsrcdir)/config/rules.mk

inject/%.$(OBJ_SUFFIX): DEFINES += -DBITS=$(if $(HAVE_64BIT_OS),64,32)
inject/%.$(OBJ_SUFFIX): CFLAGS := -O2 -fno-stack-protector $(filter -m% -I%,$(CFLAGS))
inject/$(CPU)-noinit.$(OBJ_SUFFIX): DEFINES += -DNOINIT
test.$(OBJ_SUFFIX): CFLAGS := -O0

## enigmail 1.6

=== debian/changelog ===
enigmail (2:1.6-4) unstable; urgency=low

  * function properly on GNU/kFreeBSD (Closes: #726517)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Nov 2013 03:10:20 -0500

enigmail (2:1.6-3) unstable; urgency=low

  * drop -fstack-protector and -Wcast-align from ia64 builds
  * use g++ for linking libenigmime.so
  * fix genxpi for GNU/kFreeBSD

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Nov 2013 02:53:56 -0500

enigmail (2:1.6-2) unstable; urgency=low

  * re-enable support for icedove 17
  * change maintainer to pkg-mozext-maintainers
  * release to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Nov 2013 13:05:47 -0500

enigmail (2:1.6-1) experimental; urgency=low

  * new upstream version.
    (Closes: #728099, #729245, #729246)
  * overhaul packaging for simplification
    (temporarily dropping support for icedove < 19)
    (Closes: #729001)
  * debian/copyright: make machine-readable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 09 Nov 2013 00:21:28 -0500

enigmail (2:1.5.2+id17-1) unstable; urgency=low

  * New upstream version.
  * Refresh patches, drop
   - Fix-upstream-version-in-install.rdf.patch, fixed upstream
   - Fix-for-false-positives-in-signature-verification.patch, was already
    upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 15 Sep 2013 07:54:52 -0400

enigmail (2:1.5.1+id17-4) unstable; urgency=low

  * Add patch to fix false positives on signature verification

 -- Willi Mann <willi@debian.org>  Mon, 08 Jul 2013 18:39:07 +0200

enigmail (2:1.5.1+id17-3) unstable; urgency=low

  * Upload to unstable
  * d/control: Update Homepage: field and put it into general paragraph
  * d/control: Update Standards-Version: 3.9.3 -> 3.9.4

 -- Willi Mann <willi@debian.org>  Mon, 20 May 2013 12:16:19 +0200

enigmail (2:1.5.1+id17-2) experimental; urgency=low

  * Add patch to fix upstream version in install.rdf (1.6a1pre -> 1.5.1,
    closes: #700890)
  * Add Recommends on gnupg-agent (closes: #700114)
  * Add patch to support multiarch python during build process
    (closes: #704691, thanks to Robie Basak)

 -- Willi Mann <willi@debian.org>  Fri, 03 May 2013 19:20:19 +0200

enigmail (2:1.5.1+id17-1) experimental; urgency=low

  * Imported Upstream version 1.5.1+id17
  * Refresh patches, drop
    - avoid-truncation-of-last-line.patch (fixed upstream differently)
    - fix-non-ascii-inline.patch (included upstream)
  * Prepare snapshot changelog

 -- Willi Mann <willi@debian.org>  Thu, 07 Feb 2013 18:29:55 +0100

enigmail (2:1.5.0+id17-2) experimental; urgency=low

  * avoid truncating the last lines of PGP/MIME decrypted messages
    (Closes: #698031)
  * added myself to uploaders.
  * switch packaging to 3.0 (quilt)
  * update to debhelper 9
  * default experimental packaging to use PGP/MIME (Closes: #698084)
  * fix display of non-ASCII characters in some inline PGP messages
    (Closes: #698080)
  * avoid clearing CFLAGS and LDFLAGs when building binary components
    (see https://wiki.debian.org/Hardening)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Jan 2013 21:02:23 -0500

enigmail (2:1.5.0+id17-1) experimental; urgency=low

  * Imported Upstream version 1.5.0+id17 (closes: #696884)
  * Refresh patches, get rid of ipc_rename and install.rdf patch, no longer needed

 -- Willi Mann <willi@debian.org>  Sat, 29 Dec 2012 10:36:08 +0100

enigmail (2:1.4.6+id17-1) experimental; urgency=low

  * Imported Upstream version 1.4.6+id17
    - fixes incompatibility with icedove 17 (closes: #695186)
  * Refresh patches, drop fix-xpidl-path patch as patch no longer applies
  * d/rules: --disable-webrtc to really avoid webm dependencies
  * Add patch that adds --cachedir=. to xpidl calls
  * Bump build-depends on icedove-dev to 17
  * install.rdf: Add patch to depend on at least icedove 17

 -- Willi Mann <willi@debian.org>  Sat, 15 Dec 2012 08:46:03 +0100

enigmail (2:1.4.6+id16-1) experimental; urgency=low

  * Imported Upstream version 1.4.6+id16

 -- Willi Mann <willi@debian.org>  Sun, 11 Nov 2012 11:31:04 +0100

enigmail (2:1.4.5+id16-1) experimental; urgency=low

  * pack-upstream.sh: Add script to properly pack tarball
  * Imported Upstream version 1.4.5+id16 (closes: #692062)
  * d/control: Update dependencies
  * Refresh patches

 -- Willi Mann <willi@debian.org>  Tue, 06 Nov 2012 22:58:32 +0100

enigmail (2:1.4.1exp-1) experimental; urgency=low

  * Imported Upstream version 1.4.1exp
  * install.rdf: Require icedove 11 or iceape 2.8
  * Update my email address to willi@debian.org
  * Build-Depend on icedove-dev >= 11

 -- Willi Mann <willi@debian.org>  Wed, 09 May 2012 22:38:14 +0200

enigmail (2:1.4.1-2) unstable; urgency=low

  * install.rdf: 1.4.1 works with iceape 2.7
    (Closes: 161046, 197339, 376572, 401703, 479854)

 -- Willi Mann <willi@wm1.at>  Sun, 06 May 2012 15:00:12 +0200

enigmail (2:1.4.1-1) unstable; urgency=low

  * d/control: bump icedove-dev build-dependency
  * d/control: Add Homepage: field
  * d/control: Add ${xpi:Breaks} (Closes: 664427)
  * Imported Upstream version 1.4.1
  * Refresh patches, fix version number in install.rdf

 -- Willi Mann <willi@wm1.at>  Fri, 13 Apr 2012 22:06:48 +0200

enigmail (2:1.4-1) unstable; urgency=low

  * New upstream version 1.4 (closes: #665712)
  * Remove no longer needed patch "nonexisting methods"
  * d/control: Standards-Version 3.9.2 => 3.9.3 (no changes)
  * d/control: Add ${xpi:Depends}

 -- Willi Mann <willi@wm1.at>  Sun, 25 Mar 2012 18:10:15 +0200

enigmail (2:1.3.4-2) unstable; urgency=low

  * debian/rules: Use chrome-format "omni". This fixes incomplete locales, 
    which fixes enigmail not working under some locales. Thanks to 
    Patrick Brunschwig for the hint. (Closes: #656306, #656629)

 -- Willi Mann <willi@wm1.at>  Sun, 22 Jan 2012 17:32:21 +0100

enigmail (2:1.3.4-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Add some *.pyc files to debian/clean



=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9),
 mozilla-devscripts,
 icedove-dev (<< 19.0),
 zip,
 python-ply,
 python
Standards-Version: 3.9.4
Homepage: https://www.enigmail.net/
Vcs-Git: git://git.debian.org/pkg-mozext/enigmail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/enigmail.git

Package: enigmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xpi:Depends}, gnupg
Recommends: gnupg-agent, ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

=== debian/rules ===
#!/usr/bin/make -f
XPI_MODULE_VERS = $(shell dpkg-parsechangelog  | grep ^Version: | cut -f2 -d\ )
%:
	dh $@ --with xul-ext

override_dh_auto_build: dist/enigmail.xpi

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/icedove

override_dh_install:
	install-xpi -penigmail dist/enigmail.xpi

override_dh_clean:
	dh_clean
	rm -rf dist


ICEDOVE_SDK = /usr/lib/icedove-devel/sdk
ICEDOVE_IDL_LIB = /usr/lib/icedove-devel/idl

CC=gcc
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -pedantic -Wall -Werror -fPIC
LDFLAGS += -Wl,-z,noexecstack -shared -Wl,-Bsymbolic

# this is the tag for gcc 3 or 4, apparently.
TARGET_XPCOM_ABI=$(shell LD_LIBRARY_PATH=/usr/lib/icedove /usr/lib/icedove-devel/sdk/bin/xpcshell -g /usr/lib/icedove -e 'print(Components.classes["@mozilla.org/xre/app-info;1"].getService(Components.interfaces.nsIXULRuntime).XPCOMABI);')
TARGET_OS=$(shell LD_LIBRARY_PATH=/usr/lib/icedove /usr/lib/icedove-devel/sdk/bin/xpcshell -g /usr/lib/icedove -e 'print(Components.classes["@mozilla.org/xre/app-info;1"].getService(Components.interfaces.nsIXULRuntime).OS);')


ENIGMAIL_XPTS = $(patsubst %.idl,%.xpt, $(wildcard public/*.idl) )

## below is the actual build process:

dist/enigmail.xpi: ipc/src/libsubprocess.so dist/components/enigmail.xpt dist/chrome/enigmail.jar dist/components/libenigmime.so dist/components/enigmime.xpt
	mkdir -p dist/chrome/enigmail dist/defaults/preferences dist/modules
	cp -a package/chrome.manifest dist/
	cp -a lang/* dist/chrome/enigmail/locale/
	cp package/*.js dist/components/
	cp package/prefs/enigmail.js dist/defaults/preferences/
	cp package/*.jsm ipc/modules/*.js* dist/modules
	./genxpi enigmail.xpi $(XPI_MODULE_VERS) "$(TARGET_OS)" "$(TARGET_XPCOM_ABI)" dummyMozAppName dist $(shell pwd) enigmail .so lib

dist/chrome/enigmail.jar: ui/content/enigmailBuildDate.js
	mkdir -p dist/chrome
	python debian/mozpy/JarMaker.py -j dist/chrome -t $(shell pwd) -f symlink ui/jar.mn

ui/content/enigmailBuildDate.js: 
	echo 'var EnigBuildDate="'`date +%Y%m%d-%H%M`'"' > $@

%.xpt: %.idl
	python $(ICEDOVE_SDK)/bin/typelib.py -I$(ICEDOVE_IDL_LIB) $< -o $@

dist/components/enigmail.xpt: $(ENIGMAIL_XPTS)
	mkdir -p dist/components
	python $(ICEDOVE_SDK)/bin/xpt.py link $@ $^

ipc/src/libsubprocess.so: ipc/src/subprocess.o
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

ipc/src/subprocess.o: ipc/src/subprocess.c
	$(CC) $(CFLAGS) -c -o $@ $<



# code below here builds the plugins necessary for mozilla < 19 --
# when we drop support for icedove at that level, we can get rid of
# this:

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CPP=g++

ENIGMAIL_HEADERS = $(patsubst %.idl,%.h,$(wildcard public/*.idl) )

ENIGMAIL_CPP_FLAGS = \
	-DMOZILLA_MAJOR_VERSION=17 \
	-DMOZILLA_MINOR_VERSION=0 \
	-DMOZ_GLUE_IN_PROGRAM  \
	-I public \
	-I build \
	-I src \
	-I. \
	-I/usr/lib/icedove-devel/include \
	-I/usr/include/nspr \
	-I/usr/lib/icedove-devel/include/nss \
	-fPIC \
	-D_FORTIFY_SOURCE=2 \
	-pedantic \
	-Wall \
	-Werror \
	-Wpointer-arith \
	-Woverloaded-virtual \
	-Werror=return-type \
	-Wtype-limits \
	-Wempty-body \
	-Wno-ctor-dtor-privacy \
	-Wno-overlength-strings \
	-Wno-invalid-offsetof \
	-Wno-variadic-macros \
	-Wno-long-long \
	-g -O2 \
	--param=ssp-buffer-size=4 \
	-Wformat \
	-Werror=format-security \
	-std=gnu++0x \
	-fno-exceptions \
	-fno-strict-aliasing \
	-fno-rtti \
	-ffunction-sections \
	-fdata-sections \
	-fno-exceptions \
	-std=gnu++0x \
	-pthread \
	-pipe \
	-DNDEBUG \
	-DTRIMMED \
	-freorder-blocks \
	-fomit-frame-pointer \
	-DMOZILLA_CLIENT \
	-MD

# ia64 does not have -fstack-protector
ifneq ($(DEB_HOST_ARCH),ia64)
ENIGMAIL_CPP_FLAGS += -fstack-protector -Wcast-align
endif

dist/components/libenigmime.so: build/nsEnigModule.o src/nsEnigMsgCompose.o
	mkdir -p dist/components
	$(CPP) $(ENIGMAIL_CPP_FLAGS) \
	-fPIC -shared -Wl,-z,defs \
	-Wl,--gc-sections -Wl,-h,libenigmime.so -o $@ \
	build/nsEnigModule.o \
	-Wl,-z,relro \
	-Wl,-z,noexecstack \
	-Wl,-rpath-link,/usr/lib/icedove-devel/bin \
	-Wl,-rpath-link,/usr/lib/icedove-devel/sdk/lib \
	-Wl,-rpath-link,/usr/local/lib \
	src/nsEnigMsgCompose.o \
	-L/usr/lib/icedove-devel/bin \
	-L/usr/lib/icedove-devel/lib \
	/usr/lib/icedove-devel/lib/libxpcomglue_s.a \
	-L/usr/lib/icedove-devel/sdk/lib \
	-lmozalloc \
	-lxpcom \
	-lnspr4 \
	-Wl,--version-script -Wl,debian/from-icedove/components-version-script \
	-Wl,-Bsymbolic

# for some reason, i have to cancel this implicit rule specifically so
# that the correct rule will take effect:
# see "Canceling implicit rules", file:///usr/share/doc/make-doc/make_10.html#SEC124
%.o : %.cpp

%.o: %.cpp $(ENIGMAIL_HEADERS)
	$(CPP) -o $@ -c -include debian/from-icedove/gcc_hidden.h \
	$(ENIGMAIL_CPP_FLAGS) -include /usr/include/icedove/mozilla-config.h $<

dist/components/enigmime.xpt: $(filter-out public/nsIEnigmail.idl, $(ENIGMAIL_XPTS))
	mkdir -p dist/components
	python $(ICEDOVE_SDK)/bin/xpt.py link $@ $^

%.h: %.idl
	python $(ICEDOVE_SDK)/bin/header.py -I$(ICEDOVE_IDL_LIB) $< -o $@

## enigmail 1.7

=== Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

XPI_MODULE	= enigmail
XPI_MODULE_VERS = 1.7

DEPTH		= .

include $(DEPTH)/config/autoconf.mk

DIRS = ipc public

DIRS += ui package lang

PLATFORM_STR = unknown

# Edit the lines below as needed, depending upon your platform(s)
ifeq ($(OS_TARGET),Linux)
PLATFORM_STR = linux
endif

ifeq ($(OS_TARGET),WIN95)
PLATFORM_STR = win32
endif

ifeq ($(OS_TARGET),WINNT)
PLATFORM_STR = win32
endif

ifeq ($(OS_CONFIG),SunOS)
PLATFORM_STR = sunos5
endif

ifeq ($(OS_TARGET),Darwin)
PLATFORM_STR = darwin
endif

ifeq ($(OS_TARGET),FreeBSD)
PLATFORM_STR = freebsd
endif

ifeq ($(OS_TARGET),OpenBSD)
PLATFORM_STR = openbsd
endif

ifeq ($(OS_TARGET),OS2)
PLATFORM_STR = os2
endif

ifeq ($(OS_TARGET),OSF1)
PLATFORM_STR = osf1
endif

XPIFILE = $(XPI_MODULE)-$(XPI_MODULE_VERS)-$(PLATFORM_STR)-$(CPU_ARCH).xpi

.PHONY: dirs $(DIRS)

all: dirs xpi

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

xpi:
	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(OS_TARGET) $(CPU_ARCH) $(DIST) $(srcdir) $(XPI_MODULE) $(DLL_SUFFIX) $(DLL_PREFIX)

check:
	util/checkFiles.py

clean:
	rm -f build/$(XPIFILE)
	for dir in $(DIRS); do \
	  $(MAKE) -C $$dir clean; \
	done

distclean: clean
	rm -rf build/*
	rm -f config/autoconf.mk config.log config.status

=== debian/changelog ===
enigmail (2:1.7-0ubuntu1) utopic; urgency=low

  * New upstream release v1.7 to support Thunderbird 31

  * No longer requires a Mozilla build system, so we use the upstream
    tarball directly now
    - update debian/rules
    - drop libgtk2.0-dev, libidl-dev, libdbus-glib-1-dev, libnotify-dev,
      libasound2-dev, libxt-dev, autoconf2.13 and mesa-common-dev
      build-depends, as these were only there because we were using a hacked
      Mozilla build system
  * Update to source format 3.0
  * Drop thunderbird-dev build-depend - the only binary code in enigmail now
    uses ctypes, so we don't need the SDK
  * Drop debian/patches/no_libxpcom.patch - it doesn't build a binary component
    now
  * Drop debian/patches/use_sdk.patch - there's no dependency on the
    Thunderbird SDK now

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Jan 2014 11:42:56 +0000

enigmail (2:1.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release v1.5.2 for Thunderbird 24

  * Build enigmail using a stripped down Thunderbird 17 build system, as it's
    now quite difficult to build the way we were doing previously, with the
    latest Firefox build system
  * Add debian/patches/no_libxpcom.patch - Don't link against libxpcom, as it
    doesn't exist anymore (but exists in the build system)
  * Add debian/patches/use_sdk.patch - Use the SDK version of xpt.py and
    friends
  * Drop debian/patches/ipc-pipe_rename.diff (not needed anymore)
  * Drop debian/patches/makefile_depth.diff (not needed anymore)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Sep 2013 16:02:15 +0100

enigmail (2:1.4.6-0ubuntu1) raring; urgency=low

  * New upstream release v1.4.6
  * Drop unneeded patches
    - remove debian/patches/correct-version-number.diff
    - remove debian/patches/dont_register_cids_multiple_times.diff
    - update debian/patches/series
  * Support building in an objdir
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Nov 2012 16:36:01 +0000

enigmail (2:1.4.5-0ubuntu1) quantal-security; urgency=low

  * New upstream release v1.4.5
    - LP: #1062587

  * Add patch to set the correct version number. The version was not changed
    from 1.5a1pre to 1.4.5 when the tarball was built from rev 24e938
    - add debian/patches/correct-version-number.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Sep 2012 13:42:31 +0100

enigmail (2:1.4.4-0ubuntu1) quantal; urgency=low

  * New upstream release v1.4.4

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 20 Aug 2012 16:21:22 +0100

enigmail (2:1.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release v1.4.3

  * Refresh patches
    - update debian/patches/makefile_depth.diff
    - update debian/patches/ipc-pipe_rename.diff
    - update debian/patches/dont_register_cids_multiple_times.diff

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Jul 2012 20:34:11 +0100

enigmail (2:1.4.2-0ubuntu2) quantal; urgency=low

  * Rebuild against the current thunderbird beta

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Jun 2012 23:52:10 +0100

enigmail (2:1.4.2-0ubuntu1) quantal; urgency=low

  * New upstream release v1.4.2

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 May 2012 14:05:04 +0100

enigmail (2:1.4.1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream release v1.4.1
    - LP: #987305
  * Fix LP: #968122 - Localization messed up

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 18 Apr 2012 15:06:04 +0100

enigmail (2:1.4-0ubuntu1) precise; urgency=low

  * New upstream release v1.4
  * Drop debian/patches/compat_bump.diff

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 04 Mar 2012 22:44:33 +0000

enigmail (2:1.3.5-0ubuntu3) precise; urgency=low

  * Rebuild against the current beta
  * Bump maxVersion to 11.*:
    - add debian/patches/compat_bump.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 07 Feb 2012 13:34:09 +0000

enigmail (2:1.3.5-0ubuntu2) precise; urgency=low

  * Fix LP: #886781 - build with --enable-chrome-format=omni, as this is
    what the chrome.manifest assumes (fixes chrome registration issues
    breaking non-English locales)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 30 Jan 2012 18:59:44 +0000

enigmail (2:1.3.5-0ubuntu1) precise; urgency=low

  * New upstream release v1.3.5
  * Drop patches that we don't need after picking up a build system refresh:
    - remove debian/patches/prbool_to_bool_conversion.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Jan 2012 14:34:41 +0000

enigmail (2:1.3.4-0ubuntu2) precise; urgency=low

  * Rebuild for Thunderbird 10
  * Ensure that the build system handles the PRBool -> bool transition
    - add debian/patches/prbool_to_bool_conversion.diff
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jan 2012 17:51:22 +0000

enigmail (2:1.3.4-0ubuntu1) precise; urgency=low

  * New upstream release v1.3.4
  * Drop debian/patches/new_idl_parser_compat.patch, as this is fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 05 Dec 2011 11:08:24 +0000

enigmail (2:1.3.3-0ubuntu1) precise; urgency=low

  * New upstream release v1.3.3
  * Add patch to define constants in nsIEnigmail.idl as unsigned long, so
    that the new IDL parser doesn't fall over
    - add debian/patches/new_idl_parser_compat.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Nov 2011 21:30:26 +0000

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Willi Mann <willi@wm1.at>
Build-Depends: debhelper (>= 7.0.50~),
    mozilla-devscripts,
    python
Standards-Version: 3.9.1

Package: enigmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnupg
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

## enigmail 1.7.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.7
+XPI_MODULE_VERS = 1.7.2
 
 DEPTH		= .

=== ipc/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

DIRS            = modules

ifneq ($(OS_TARGET),WINNT)
  DIRS += src
endif

.PHONY: dirs $(DIRS)

all: dirs

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

clean:
	for dir in $(DIRS); do \
	  $(MAKE) -C $$dir clean; \
	done

=== lang/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH = ..

define copyLang =
mkdir -p $(BUILD)/lang/$^
endef

include ../config/autoconf.mk

all: jar

languages = $(shell cat current-languages.txt)

prepFiles: 
	for l in $(languages); do \
	   $(DEPTH)/util/fixlang.pl $(DEPTH)/ui/locale/en-US $$l; \
	done
	

export: prepFiles
	mkdir -p $(BUILD)/lang
	$(PERL) $(DEPTH)/util/make-lang-xpi.pl current-languages.txt $(BUILD)/lang 

jar: export
	$(PYTHON) ../util/JarMaker.py -j $(DIST)/chrome -t . -f jar $(BUILD)/lang/jar.mn

clean:
	for l in $(languages); do \
	   rm -f $$l/enigmail.dtd.gen $$l/enigmail.properties.gen; \
	done
	rm -f $(BUILD)/lang/jar.mn

=== package/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

PREF_JS_EXPORTS = $(srcdir)/prefs/enigmail.js

COMPFILES = \
            enigmail.js \
            mimeDecrypt.js \
            mimeEncrypt.js \
            enigprefs-service.js \
            enigMsgCompFields.js

PREFFILES = prefs/enigmail.js

MODFILES = \
           commonFuncs.jsm \
           gpgAgentHandler.jsm \
           keyManagement.jsm \
           pipeConsole.jsm \
           enigmailCommon.jsm \
           installGnuPG.jsm \
           mimeVerify.jsm

all: $(PREFFILES) $(COMPFILES) $(MODFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/components $(COMPFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/defaults/preferences $(PREFFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/modules $(MODFILES)


clean:
	$(DEPTH)/util/install -u $(DIST)/components $(COMPFILES)
	$(DEPTH)/util/install -u $(DIST)/defaults/preferences $(PREFFILES)
	$(DEPTH)/util/install -u $(DIST)/modules $(MODFILES)

=== ipc/src/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

OBJ_SUFF = o
#LDFLAGS =
#CFLAGS =

ifeq ($(OS_TARGET),Darwin)
#LDFLAGS	+= -dynamiclib -install_name @executable_path/$(SHARED_LIBRARY) -compatibility_version 1 -current_version 1 -single_module
LDFLAGS += -shared
endif

ifeq ($(OS_TARGET),NetBSD)
LDFLAGS += -shared -Wl,-Bsymbolic
CFLAGS += -fPIC
endif

ifeq ($(OS_TARGET),FreeBSD)
LDFLAGS += -shared -Wl,-Bsymbolic
CFLAGS += -fPIC
endif

ifeq ($(OS_TARGET),OpenBSD)
LDFLAGS += -shared -Wl,-Bsymbolic
CFLAGS += -fPIC
endif

ifeq ($(OS_TARGET),HP-UX)
LDFLAGS += -Wl,-Bsymbolic
CFLAGS += -fPIC
endif

ifeq ($(OS_TARGET),OSF1)
LDFLAGS += -B symbolic
CFLAGS += -fPIC
endif

ifeq ($(OS_TARGET),Linux)
LDFLAGS += -shared -Wl,-Bsymbolic
CFLAGS += -fPIC
endif

ifeq ($(OS_TARGET),WINNT)
OBJ_SUFF = obj
endif

source = subprocess.c
objfiles = subprocess.$(OBJ_SUFF)
libname = $(DLL_PREFIX)subprocess-$(CPU_ARCH)$(DLL_SUFFIX)

all: install


$(objfiles): $(source)
	$(CC) $(CFLAGS) -Wno-return-type-c-linkage -c -o $(objfiles) $^

$(libname): $(objfiles)
	$(CC) $(LDFLAGS) -o $(libname) $(objfiles)

install: $(libname)
	$(DEPTH)/util/install -m 644 $(DIST)/platform/$(OS_TARGET)_$(CPU_ARCH)/lib $^

clean:
	rm -f $(objfiles) $(libname) $(DIST)/platform/$(OS_TARGET)_$(CPU_ARCH)/lib/$(libname)

tools:

export:

=== ui/content/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


all: libs

libs:
	echo 'var EnigBuildDate="'`date +%Y%m%d-%H%M`'"' > enigmailBuildDate.js

=== debian/changelog ===
enigmail (2:1.7.2-3) unstable; urgency=medium

  * d/rules - clean: Fake config/autoconf.mk if it doesn't exist, don't call
    configure. Fixes FTBFS on ppc64el. closes: #760845
  * Make enigmail use the right XPCOM_TARGET name on ppc64 archs.

 -- Willi Mann <willi@debian.org>  Sun, 23 Nov 2014 15:47:07 +0100

enigmail (2:1.7.2-2) unstable; urgency=medium

  * Update config.* files by using autotools-dev. closes: #760845
  * Update Standards-Version 3.9.5 -> 3.9.6
  * Make enigmail use the right XPCOM_TARGET name on arm{el,hf}, powerpc, and
    mipsel. Closes: #765937 (hopefully)

 -- Willi Mann <willi@debian.org>  Sun, 02 Nov 2014 19:12:49 +0100

enigmail (2:1.7.2-1) unstable; urgency=medium

  * Imported Upstream version 1.7.2
    - Fixes CVE-2014-5369 "an email with only Bcc recipients is sent in
      plain text"
  * Drop configure versioning patch

 -- Willi Mann <willi@debian.org>  Sun, 31 Aug 2014 18:25:45 +0200

enigmail (2:1.7-1) unstable; urgency=medium

  * New upstream release
  * move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Jul 2014 11:48:25 -0400

enigmail (2:1.7~git0.20140707-1) experimental; urgency=medium

  * upstream 1.7 beta release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Jul 2014 17:24:00 -0400

enigmail (2:1.6+git0.20140323-2) unstable; urgency=medium

  * clean up debian/copyright
  * move to unstable after extensive use.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 21 Apr 2014 14:03:43 -0400

enigmail (2:1.6+git0.20140323-1) experimental; urgency=low

  * new snapshot release from upstream
   - radically simplify debian/rules to use new upstream build system
   - builds only against icedove 24 or later (Closes: #742135)
   - drop all patches except for PGP/MIME default; adopted or 
     obsoleted upstream
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Mar 2014 10:06:58 -0400

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9),
 mozilla-devscripts,
 zip,
 perl,
 python,
 autotools-dev
Standards-Version: 3.9.6
Homepage: https://www.enigmail.net/
Vcs-Git: git://git.debian.org/pkg-mozext/enigmail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/enigmail.git

Package: enigmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xpi:Depends}, gnupg
Recommends: gnupg-agent, ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

=== debian/rules ===
#!/usr/bin/make -f
XPI_MODULE_VERS = $(shell dpkg-parsechangelog  | grep ^Version: | cut -f2 -d\ )
%:
	dh $@ --with xul-ext --with autotools-dev

override_dh_auto_build:
	dh_auto_build
	make xpi

override_dh_install:
	install-xpi -penigmail build/*.xpi

override_dh_auto_clean:
	# if config/autoconf.mk is not present, create stub of it, such that make distclean works
	if [ ! -f config/autoconf.mk ]; then \
		echo 'DIST = $$(DEPTH)/build/dist' > config/autoconf.mk; \
		echo 'BUILD = $$(DEPTH)/build' >> config/autoconf.mk; \
	fi

	dh_auto_clean

=== debian/watch ===
version=3
# Homepage  Pattern  [Version  [Action]]
opts=pgpsigurlmangle=s/$/.asc/ http://enigmail.mozdev.org/download/source.php.html .*/enigmail-([\d\.]*).tar.gz

## enigmail 1.8.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.7.2
+XPI_MODULE_VERS = 1.8
 
 DEPTH		= .
 
@@ -12,6 +12,10 @@
 DIRS = ipc public
 
 DIRS += ui package lang
+
+ifeq ($(TESTS),yes)
+DIRS += check
+endif
 
 PLATFORM_STR = unknown
 
@@ -36,8 +40,16 @@
 PLATFORM_STR = darwin
 endif
 
+ifeq ($(OS_TARGET),dragonfly)
+PLATFORM_STR = DragonFly
+endif
+
 ifeq ($(OS_TARGET),FreeBSD)
 PLATFORM_STR = freebsd
+endif
+
+ifeq ($(OS_TARGET),NetBSD)
+PLATFORM_STR = netbsd
 endif
 
 ifeq ($(OS_TARGET),OpenBSD)
@@ -64,7 +76,7 @@
 	$(MAKE) -C $@
 
 xpi:
-	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(OS_TARGET) $(CPU_ARCH) $(DIST) $(srcdir) $(XPI_MODULE) $(DLL_SUFFIX) $(DLL_PREFIX)
+	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(OS_TARGET) $(CPU_ARCH) $(DIST) $(srcdir) $(XPI_MODULE) $(DLL_SUFFIX) $(DLL_PREFIX) $(ENABLE_LANG)
 
 check:
 	util/checkFiles.py

=== ipc/Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 ifneq ($(OS_TARGET),WINNT)
   DIRS += src
 endif
+
+#ifeq ($(TESTS),yes)
+#  DIRS += tests
+#endif
 
 .PHONY: dirs $(DIRS)

=== package/Makefile ===
--- 
+++ 
@@ -6,6 +6,12 @@
 DEPTH		= ..
 
 include $(DEPTH)/config/autoconf.mk
+
+TST = 
+
+ifeq ($(TESTS),yes)
+  TST = tst
+endif
 
 PREF_JS_EXPORTS = $(srcdir)/prefs/enigmail.js
 
@@ -23,11 +29,20 @@
            gpgAgentHandler.jsm \
            keyManagement.jsm \
            pipeConsole.jsm \
+           enigmailCore.jsm \
            enigmailCommon.jsm \
+           enigmailConvert.jsm \
+           passwordCheck.jsm \
            installGnuPG.jsm \
+           fixExchangeMsg.jsm \
            mimeVerify.jsm
 
-all: $(PREFFILES) $(COMPFILES) $(MODFILES)
+all: deploy $(TST)
+
+tst:
+	$(MAKE) -C tests
+
+deploy: $(PREFFILES) $(COMPFILES) $(MODFILES)
 	$(DEPTH)/util/install -m 644 $(DIST)/components $(COMPFILES)
 	$(DEPTH)/util/install -m 644 $(DIST)/defaults/preferences $(PREFFILES)
 	$(DEPTH)/util/install -m 644 $(DIST)/modules $(MODFILES)

=== ipc/src/Makefile ===
--- 
+++ 
@@ -25,6 +25,11 @@
 CFLAGS += -fPIC
 endif
 
+ifeq ($(OS_TARGET),DragonFly)
+LDFLAGS += -shared -Wl,-Bsymbolic
+CFLAGS += -fPIC
+endif
+
 ifeq ($(OS_TARGET),OpenBSD)
 LDFLAGS += -shared -Wl,-Bsymbolic
 CFLAGS += -fPIC
@@ -41,6 +46,11 @@
 endif
 
 ifeq ($(OS_TARGET),Linux)
+LDFLAGS += -shared -Wl,-Bsymbolic
+CFLAGS += -fPIC
+endif
+
+ifeq ($(OS_TARGET),gnu)
 LDFLAGS += -shared -Wl,-Bsymbolic
 CFLAGS += -fPIC
 endif

=== debian/changelog ===
enigmail (2:1.8.2-4~deb7u1) wheezy-security; urgency=high

  * Upload requested by security team.

 -- Willi Mann <willi@debian.org>  Sun, 22 Nov 2015 19:35:47 +0100

enigmail (2:1.8.2-4) unstable; urgency=medium

  * pass through {GTK,QT}_IM_MODULE, XMODIFIERS, and
    DBUS_SESSION_BUS_ADDRESS so that modern pinentry works. (Closes: #794627)
  * correct reported version number of enigmail

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 20 Aug 2015 00:23:48 +0200

enigmail (2:1.8.2-3) unstable; urgency=medium

  * Reproducibility:
   - make build date use $SOURCE_DATE_EPOCH when available
   - sort keys for perl-generated .dtd files

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 07 Jul 2015 15:48:24 -0400

enigmail (2:1.8.2-2) unstable; urgency=medium

  * upload to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Apr 2015 19:22:15 -0400

enigmail (2:1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * More strongly encourage the use of gnupg2 in Depends and Recommends;
    enigmail 1.9 will make gnupg 2.x a requirement.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Apr 2015 08:57:40 -0400

enigmail (2:1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 28 Mar 2015 15:06:52 -0400

enigmail (2:1.8-1) experimental; urgency=medium

  * New Upstream Release.
  * move from autotools-dev to dh-autoreconf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 17 Mar 2015 16:57:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Alexander Sack <asac@debian.org>,
- Willi Mann <willi@debian.org>,
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+           Willi Mann <willi@debian.org>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 9),
- mozilla-devscripts,
- zip,
- perl,
- python,
- autotools-dev
+               dh-autoreconf,
+               mozilla-devscripts,
+               perl,
+               python,
+               zip
 Standards-Version: 3.9.6
 Homepage: https://www.enigmail.net/
 Vcs-Git: git://git.debian.org/pkg-mozext/enigmail.git
@@ -18,8 +18,8 @@
 
 Package: enigmail
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xpi:Depends}, gnupg
-Recommends: gnupg-agent, ${xpi:Recommends}
+Depends: gnupg2 | gnupg, ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
+Recommends: gnupg-agent, gnupg2, pinentry-x11, ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Breaks: ${xpi:Breaks}

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 XPI_MODULE_VERS = $(shell dpkg-parsechangelog  | grep ^Version: | cut -f2 -d\ )
 %:
-	dh $@ --with xul-ext --with autotools-dev
+	dh $@ --with xul-ext --with autoreconf
 
 override_dh_auto_build:
 	dh_auto_build
